org.thymeleaf.extras.springsecurity3.dialect.processor

## Class AuthorizeAclAttrProcessor

- Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.attr.AbstractAttrProcessor
    - - org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor
      - - org.thymeleaf.extras.springsecurity3.dialect.processor.AuthorizeAclAttrProcessor

- All Implemented Interfaces:
    Comparable<org.thymeleaf.processor.IProcessor>, org.thymeleaf.processor.IProcessor

      public class AuthorizeAclAttrProcessor
      extends org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor

  Takes the form sec:authorize-acl="object :: permissions", renders the element children (*tag content*) if the authenticated user has the specified permissions on the specified domain object, according to Spring Source's Access Control List system.
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTR_NAME`
    `static int` | `ATTR_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizeAclAttrProcessor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static org.thymeleaf.standard.expression.IStandardExpression` | `getExpressionDefaultToLiteral(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser, org.thymeleaf.Configuration configuration, org.thymeleaf.context.IProcessingContext processingContext, String input)`
    `int` | `getPrecedence()`
    `protected boolean` | `isVisible(org.thymeleaf.Arguments arguments, org.thymeleaf.dom.Element element, String attributeName)`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor

      `processAttribute`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractAttrProcessor

      `doProcess, getMatcher`

    - ### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

      `compareTo, getMessage, getMessageForProcessor, getMessageForTemplate, process`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_PRECEDENCE

          public static final int ATTR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final String ATTR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthorizeAclAttrProcessor

          public AuthorizeAclAttrProcessor()

  - ### Method Detail

    - #### getPrecedence

          public int getPrecedence()

      Specified by:
        `getPrecedence` in class `org.thymeleaf.processor.AbstractProcessor`

    - #### isVisible

          protected boolean isVisible(org.thymeleaf.Arguments arguments,
                                      org.thymeleaf.dom.Element element,
                                      String attributeName)

      Specified by:
        `isVisible` in class `org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor`

    - #### getExpressionDefaultToLiteral

          protected static org.thymeleaf.standard.expression.IStandardExpression getExpressionDefaultToLiteral(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser,
                                                                                                               org.thymeleaf.Configuration configuration,
                                                                                                               org.thymeleaf.context.IProcessingContext processingContext,
                                                                                                               String input)

Copyright © 2015 The THYMELEAF team. All rights reserved.